﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples.GettingStarted
{
    public partial class MapLoader : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                worldMapKitOverlay.TileType = TileType.SingleTile;

                AreaStyle areaStyle = new AreaStyle(new GeoPen(GeoColor.StandardColors.Black), new GeoSolidBrush(GeoColor.StandardColors.White));
                TextStyle textStyle = TextStyles.CreateMaskTextStyle("[NAME]\nHeading: [HEADING]\nSpeed: [SPEED]", new GeoFont("Arial", 8), new GeoSolidBrush(GeoColor.StandardColors.Black), areaStyle, -40, -40);
                textStyle.SuppressPartialLabels = true;
                layer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(textStyle);

                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }
    }
}